/* Primary color */
:root {
    /*--primary-color: #0072c6;*/
    --light-blue: #009ddc;
    --dark-blue: #03334A;
    --primary-color: var(--light-blue);
    --secondary-color: var(--dark-blue);
    --tertiary-color: white;
    --alternate-color: #f8f8f8;
}

.fc-content * {
    color: white;
}

h1, h2, h3 {
    color: var(--primary-color);
    border-bottom: 2px var(--secondary-color) solid;
    margin-bottom: 1rem;
}

h4, h5, h6 {
    color: var(--secondary-color);
}

@media screen {
    .navbar-brand {
        display: flex;
        justify-content: space-between;
    }

        .navbar-brand * {
            flex: 2 0 0;
            color: var(--primary-color);
        }

        .navbar-brand img {
            flex: 1 0 0;
            max-width: 150px;
            background-color: white;
        }

    @media screen and (min-width: 768px) {
        #siteNavBar .nav-item:first-of-type {
            border-radius: 15px 0px 0px 15px;
        }

        #siteNavBar .nav-item:last-of-type {
            border-radius: 0px 15px 15px 0px;
        }
    }

    #siteNavBar .nav-item {
        background-color: var(--secondary-color);
        padding: .33rem;
    }

        #siteNavBar .nav-item:hover, .nav-link:hover {
            background-color: var(--primary-color);
            color: white;
        }

    fieldset > legend {
        color: var(--primary-color);
        border-bottom: 1px dashed var(--secondary-color);
    }

    /* Background color */
    body {
        background-color: var(--alternate-color);
    }

    /* Navigation bar */
    .navbar {
        background-color: var(--primary-color);
        color: white;
    }

        /* Navigation links */
        .navbar a {
            color: white;
        }

    .hidden {
        display: none;
    }

    .navbar a.dropdown-item {
        color: #000;
    }
    /* Footer */
    .footer {
        background-color: var(--primary-color);
        color: white;
    }

        /* Footer links */
        .footer a {
            color: white;
        }

    /* Buttons */
    .btn-primary {
        background-color: var(--primary-color);
        border-color: var(--primary-color);
    }

        .btn-primary:hover {
            background-color: #005ba1;
            border-color: #005ba1;
        }

        .btn-primary:focus {
            box-shadow: 0 0 0 0.2rem rgba(0, 114, 198, 0.5);
        }

    .btn-secondary {
        background-color: var(--alternate-color);
        border-color: var(--alternate-color);
        color: black;
    }

        .btn-secondary:hover {
            background-color: #d9d9d9;
            border-color: #d9d9d9;
            color: black;
        }

        .btn-secondary:focus {
            box-shadow: 0 0 0 0.2rem rgba(240, 240, 240, 0.5);
        }

    /* Table */
    .table {
        background-color: white;
    }

        /* Table header */
        .table thead th {
            background-color: var(--primary-color);
            color: white;
        }

        /* Table rows */
        .table tbody tr:nth-child(even) {
            background-color: #f2f2f2;
        }

        /* Table hover */
        .table tbody tr:hover {
            background-color: #e2e2e2;
        }



    /* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification\ 
for details on configuring this project to bundle and minify static web assets. */
    body {
        /* padding-top: 50px; */
        padding-bottom: 20px;
    }

    /* Wrapping element */
    /* Set some basic padding to keep content from hitting the edges */
    .body-content {
        padding-left: 15px;
        padding-right: 15px;
    }

    /* Carousel */
    .carousel-caption p {
        font-size: 20px;
        line-height: 1.4;
    }

    /* Make .svg files in the carousel display properly in older browsers */
    .carousel-inner .item img[src$=".svg"] {
        width: 100%;
    }

    /* QR code generator */
    #qrCode {
        margin: 15px;
    }

    .brand-text {
        overflow: hidden;
        text-overflow: ellipsis;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: larger;
        font-weight: bolder;
        color: white;
    }

    /* Hide/rearrange for smaller screens */
    @media screen and (max-width: 767px) {
        /* Hide captions */
        .carousel-caption {
            display: none;
        }

        .navbar-brand img {
            max-width: 33%;
            width: 33%;
            height: auto;
        }
    }

    .required::after {
        content: " *";
        color: rgb(164, 38, 44);
        padding-right: 12px;
    }

    .bd-callout {
        padding: 1.25rem;
        margin-top: 1.25rem;
        margin-bottom: 1.25rem;
        border: 1px solid #eee;
        border-left-width: .25rem;
        border-radius: .25rem;
    }

    .bd-callout-warning {
        border-left-color: #f0ad4e;
    }

    /* Bootstrap modifications */

    /* Table Mods 

    1. Allow nested tables to maintain their own color scheming. (Discovered when using tempus dominus inside of a 'table-striped' table)
*/

    .table-striped tbody tr:nth-of-type(odd) {
        background-color: initial;
    }

    .table-striped > tbody > tr:nth-of-type(odd) {
        background-color: rgba(0, 0, 0, 0.05);
    }

    /* Datatables fix to prevent the need to call columns.adjust() when a table goes from hidden to visible */
    .show table[style="width: 0px;"] {
        width: 100% !important;
    }

    div.dataTables_processing > div:last-child > div {
        background: rgb(13, 110, 253); /* Datatables doesn't generate this value correctly. Quick fix. */
    }
}

@media screen {
    .ccgEventContainer, .ccgEventContainer *, .fc-event, .fc-event * {
        color: white;
    }

        .fc-event:hover *, .fc-event:hover * {
            color: blue;
            text-decoration: underline;
        }
}

.first-hold {
    background: #a00;
}

.second-hold {
    background: #aa0;
}

.third-hold {
    background: #0aa;
}

.executed {
    background: #0a0;
}

.pending {
    background: #aaa;
}

.full-height {
    display: flex;
    flex-direction: column;
    padding-bottom: 1.5rem;
}

.full-height > div {
    flex: 1 0 250px;
}

.full-height > div textarea {
    height: 100%;
}

.tempus-dominus-widget.inline {
    width:100%;
}

[data-table-header="Description"] {
    width: 30%;
}

[data-table-header="Dates"]  {
    width: 20%;
}
:root {
    --fa-spinner: "\f110";
    --fa-edit: '\f044';
    --fa-trash: '\f1f8';
    --fa-info: '\f129';
    --fa-arrow-left: '\f060';
    --fa-plus-square: '\f0fe';
    --fa-save: '\f0c7';
    --fa-check: '\f00c';
    --fa-times: '\f00d';
    --fa-plus: '\2b';
    --fa-minus: '\f068';
    --fa-caret-right: '\f0da';
    --fa-caret-down: '\f0d7';
    --fa-file: '\f15b';
    --fa-file-upload: '\f093';
    --fa-file-download: '\f019';
    --fa-file-image: '\f1c5';
    --fa-cloud-download: '\f0ed';
    --fa-print: '\f02f';
    --fa-list-alt: '\f022';
    --fa-filter: '\f0b0';
    --fa-search: '\f002';
    --fa-exclamation-triangle: '\f071';
    --fa-exclamation-circle: '\f06a';
    --fa-clipboard: '\f0ea';
    --fa-cog: '\f013';
    --fa-calendar: '\f073';
    --fa-sign-out: '\f08b';
    --fa-user: '\f007';
    --fa-clock: '\f017';
}

.icon::before {
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    font-family: FontAwesome;
    font-weight: 900;
}

.icon.duo::before {
    font-family: "Font Awesome 6 Duotone";
}

/* 
    LOADING SYMBOLS / ANIMATIONS

    class="icon loading (spin|pulse)"
*/
.loading::before {
    font-family: FontAwesome;
    font-weight: 900;
    content: var(--fa-spinner);
    opacity: 1;
}

.loading.spin::before {
    -webkit-animation: fa-spin 2s infinite linear;
    animation: fa-spin 2s infinite linear;
}

.loading.pulse::before {
    -webkit-animation: fa-spin 1s infinite steps(8);
    animation: fa-spin 1s infinite steps(8);
}

.email::before {
    content: '\f0e0';
}

.phone::before {
    content: '\f095';
}

/* 
    BASIC OPERATIONS FOR RECORDS 
    
    class="icon (edit|delete|...)"
*/

.edit::before {
    content: var(--fa-edit);
}

.delete::before {
    content: var(--fa-trash);
}

.info::before {
    content: var(--fa-info);
}

.return::before {
    content: var(--fa-arrow-left);
}

.create::before {
    content: var(--fa-plus-square);
}

.save::before {
    content: var(--fa-save);
}

.print::before {
    content: var(--fa-print);
}

.index::before {
    content: var(--fa-search);
}

/* 
    COMMON SYMBOLS 

    class="icon (check|times|positive|...)"
*/

.user::before {
    content: var(--fa-user);
}

.check::before {
    content: var(--fa-check);
}

.times::before {
    content: var(--fa-times);
}

.positive::before {
    content: var(--fa-plus);
}

.negative::before {
    content: var(--fa-minus);
}

.caret-right::before {
    content: var(--fa-caret-right);
}

.caret-down::before {
    content: var(--fa-caret-down);
}

.list::before {
    content: var(--fa-list-alt);
}

.filter::before {
    content: var(--fa-filter);
}

.cog::before {
    content: var(--fa-cog);
}

.gears::before {
    content: var(--fa-cog);
}

.settings::before {
    content: var(--fa-cog);
}

.search::before {
    content: var(--fa-search);
}

.warning-triangle::before {
    content: var(--fa-exclamation-triangle);
}

.warning-circle::before {
    content: var(--fa-exclamation-circle);
}

.clipboard::before {
    content: var(--fa-clipboard);
}

.report::before {
    content: var(--fa-clipboard);
}

.calendar::before {
    content: var(--fa-calendar);
}


.clock::before {
    content: var(--fa-clock);
}

.sign-out::before {
    content: var(--fa-sign-out);
}

/* 
    FILE SYMBOLS

    class="icon (file|file-upload|file-download|photo-cloud-download|document-cloud-download)"
*/

.file::before {
    content: var(--fa-file);
}

.file-upload::before {
    content: var(--fa-file-upload);
}

.file-download::before {
    content: var(--fa-file-download);
}

.photo-cloud-download {
    position: relative;
}

    .photo-cloud-download:before {
        content: var(--fa-file-image);
        position: absolute;
        font-size: 1.5em;
        left: 2px;
        top: 2px;
    }

    .photo-cloud-download:after {
        content: var(--fa-cloud-download);
        position: absolute;
        font-size: 1.2em;
        right: -.5em;
    }

.document-cloud-download {
    position: relative;
}

    .document-cloud-download:before {
        content: var(--fa-file);
        position: absolute;
        font-size: 1.5em;
        left: 2px;
        top: 2px;
    }

    .document-cloud-download:after {
        content: var(--fa-cloud-download);
        position: absolute;
        font-size: 1.2em;
        right: -.5em;
    }
